> ## Documentation Index
> Fetch the complete documentation index at: https://docs.compute-desk.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Available Storage

> Discover available storage options with pricing across vendors.

Returns storage types, classes, vendor-specific names, per-GB pricing,
and constraints for all supported vendor/storage combinations.

Returns storage options with pricing across vendors. See the [Storage guide](/guides/storage) for details on how storage works with GPU instances.


## OpenAPI

````yaml GET /available_storage
openapi: 3.1.0
info:
  title: Supply Service
  description: GPU offers querying and provisioning service
  version: 0.1.0
servers:
  - url: https://supply-api.compute-desk.com
security: []
paths:
  /available_storage:
    get:
      tags:
        - Storage
      summary: Get Available Storage
      description: |-
        Discover available storage options with pricing across vendors.

        Returns storage types, classes, vendor-specific names, per-GB pricing,
        and constraints for all supported vendor/storage combinations.
      operationId: get_available_storage_available_storage_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AvailableStorageResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    AvailableStorageResponse:
      properties:
        vendors:
          items:
            $ref: '#/components/schemas/VendorStorageInfo'
          type: array
          title: Vendors
        total_options:
          type: integer
          title: Total Options
      type: object
      required:
        - vendors
        - total_options
      title: AvailableStorageResponse
      description: Response for available storage options across vendors.
    VendorStorageInfo:
      properties:
        vendor:
          type: string
          title: Vendor
        region:
          type: string
          title: Region
        options:
          items:
            $ref: '#/components/schemas/StorageOptionDetail'
          type: array
          title: Options
      type: object
      required:
        - vendor
        - region
        - options
      title: VendorStorageInfo
      description: Storage options available from a single vendor in a region.
    StorageOptionDetail:
      properties:
        storage_type:
          type: string
          title: Storage Type
        storage_class:
          type: string
          title: Storage Class
        vendor_class:
          type: string
          title: Vendor Class
        price_per_gb_month:
          type: number
          title: Price Per Gb Month
        hourly_cost_per_gb:
          type: number
          title: Hourly Cost Per Gb
        constraints:
          items:
            type: string
          type: array
          title: Constraints
      type: object
      required:
        - storage_type
        - storage_class
        - vendor_class
        - price_per_gb_month
        - hourly_cost_per_gb
        - constraints
      title: StorageOptionDetail
      description: A single storage option available from a vendor.
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````